summaryrefslogtreecommitdiff
path: root/ports/post
diff options
context:
space:
mode:
authordzwdz2023-06-25 16:38:32 +0200
committerdzwdz2023-06-25 16:38:32 +0200
commitd4542c336a6cbfb43497055f19a85e7713f2eed7 (patch)
tree9f4a68974c3392b0ea546ecc94324911e86f0528 /ports/post
parentfffd37f1680664bf055d8f5603ed1967718a6492 (diff)
ports: reimplement the ports system from scratch
side stuff: * removed sltar since it wasn't working anyways * made signal() no longer panic, as that broke certain ports (oops) * doom now ships with the FreeDOOM WADs * /usr/ was aliased to /init/usr/, more directories were added to /bin/ to improve compat with ports
Diffstat (limited to 'ports/post')
-rw-r--r--ports/post21
1 files changed, 21 insertions, 0 deletions
diff --git a/ports/post b/ports/post
new file mode 100644
index 0000000..f0638e6
--- /dev/null
+++ b/ports/post
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -eu
+ensure_pre_was_loaded
+
+portdir=$repodir/ports/$pkg/
+workdir=$repodir/ports/out/$pkg/
+downdir=$repodir/ports/out/downloads/
+
+mkdir -p $workdir $downdir
+cd $workdir
+
+case ${1:-help} in
+ fetch) fetch ;;
+ build) build ;;
+ clean) clean ;;
+ install) install ;;
+
+ relink) relink ;;
+
+ *) echo "bad usage, see ports/post"; false ;;
+esac